const app = getApp()

import {
    selfFormatTimeYMD,
    selfFormatTimeHM
} from "../../../../utils/util.js"

import {
    selectReservationListByUserIdRq
} from "../../../../api/meeting/meetingRoom.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        userData: null,
        pageNum: 1,
        pageSize: 10,
        dataList: [],
        isDataAll: false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        _this.setData({
            userData: wx.getStorageSync('user'),
        })
        // 获取数据
        _this.getDataList()
    },

    // 获取数据
    getDataList() {
        // 获取参数
        let _this = this;
        let isDataAll = _this.data.isDataAll
        let pageNum = _this.data.pageNum
        let pageSize = _this.data.pageSize
        let userId = _this.data.userData.id
        // 判断数据是否已全部加载
        if (isDataAll) {
            return;
        }
        // 查询数据
        selectReservationListByUserIdRq({
            pageNum,
            pageSize,
            userId
        }).then(res => {
            console.log('selectReservationListByUserIdRq', res);
            // 判断数据是否全部查询
            let queryDataList = res.rows;
            if (queryDataList && queryDataList.length > 0) {
                // 格式化数据
                queryDataList = queryDataList.map(item => {
                    item.timeSlot = selfFormatTimeYMD(item.startTime) + ' ' + selfFormatTimeHM(item.startTime) + '~' + selfFormatTimeHM(item.endDate);
                    // 状态字体颜色
                    let statusColor = "#FFB119";
                    // 按钮是否显示
                    let statusValue = item.statusValue;
                    let showPay = false;
                    let showInvite = false;
                    let showCancel = false;
                    let showDetail = false;
                    // 待支付 0 ：去支付、取消订单、查看详情
                    if (statusValue == 0) {
                        showPay = true;
                        showCancel = true;
                        showDetail = true;
                        // 状态字体颜色
                        statusColor = "#FFB119";
                    }
                    // 待使用 1：去邀请、取消订单、查看详情
                    if (statusValue == 1) {
                        showInvite = true;
                        showCancel = true;
                        showDetail = true;
                        // 状态字体颜色
                        statusColor = "#3794FF";
                    }
                    // 进行中 2：去邀请、查看详情
                    if (statusValue == 2) {
                        showInvite = true;
                        showDetail = true;
                        // 状态字体颜色
                        statusColor = "#FF4040";
                    }
                    // 已结束 3：查看详情
                    if (statusValue == 3) {
                        showDetail = true;
                        // 状态字体颜色
                        statusColor = "#333333";
                    }
                    // 已取消 4：查看详情
                    if (statusValue == 4) {
                        showDetail = true;
                        // 状态字体颜色
                        statusColor = "#7F7F7F";
                    }
                    //
                    // 赋值
                    item.showPay = showPay;
                    item.showInvite = showInvite;
                    item.showCancel = showCancel;
                    item.showDetail = showDetail;
                     // 状态字体颜色
                    item.statusColor = statusColor;
                    return item;
                })
                // 更新参数
                let dataList = _this.data.dataList.concat(queryDataList);
                let pageNum = _this.data.pageNum + 1;
                _this.setData({
                    pageNum,
                    dataList,
                })
            } else {
                _this.setData({
                    isDataAll: true
                })
            }
        })
    },

    // 跳转-支付
    jumpPay() {
        wx.navigateTo({
            url: "/pages/meeting/pay/waitPay/waitPay"
        })
    },
    
    // 跳转-预约详情
    jumpMeetingDetail(e) {
        console.log('jumpMeetingDetail' , e);
        let id = e.currentTarget.dataset.id
        wx.navigateTo({
            url: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail?id=" + id,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        console.log('onPullDownRefresh', '页面相关事件处理函数--监听用户下拉动作');

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        console.log('onReachBottom', '页面上拉触底事件的处理函数');
        let _this = this;
        // 获取数据
        _this.getDataList()
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        let param = {
            title: "space 会议室101",
            path: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail",
            imageUrl: app.IMG_NAME + '/profile/static/index/banner/1.jpg',
        }
        console.log('onShareAppMessage', param);
        return param;
    }
})